Issue Billkey (Token) API
An API that issues only a billkey without making a payment. The issued billkey is used for subsequent charges.
Test Key Information
Important Notes
NOTE
Billkey Service Activation
The Billkey (tokenized recurring payment) service requires separate service activation. Contact your account manager.
- Store the issued billkey and use it for subsequent charges.
- The issued billkey is used in the Billkey Payment API.
API Information
POST/spay/APICardAuth.do
Content-Type
application/json테스트
https://tbgw.settlebank.co.kr/spay/APICardAuth.do운영
https://gw.settlebank.co.kr/spay/APICardAuth.doRequest Parameters
타입 표기법
N숫자A영문H한글AN영문+숫자AHN영문+한글+숫자예: AN(10) = 영문+숫자, 최대 10byte
params Object
└mchtIdAN(12)Alphanumeric, up to 12 bytes*Unique merchant ID assigned by Hecto Financial
Unique merchant ID assigned by Hecto Financial
nxca_ks_gu: legacy-authenticated└verAN(4)Alphanumeric, up to 4 bytes*Message version
Message version
*Fixed value
└methodA(2)Alphabetic, up to 2 bytes*Payment method
Payment method
*Fixed value
└bizTypeAN(2)Alphanumeric, up to 2 bytes*Business type code
Business type code
*Fixed value (for billkey issuance)
└encCdN(2)Numeric, up to 2 bytes*Encryption type code
Encryption type code
*Fixed value
└mchtTrdNoAN(100)Alphanumeric, up to 100 bytes*Unique order number generated by the merchant
Unique order number generated by the merchant
└trdDtN(8)Numeric, up to 8 bytes*Date the message is transmitted (YYYYMMDD)
Date the message is transmitted (YYYYMMDD)
└trdTmN(6)Numeric, up to 6 bytes*Time the message is transmitted (HHMMSS)
Time the message is transmitted (HHMMSS)
└mobileYnA(1)Alphabetic, up to 1 bytesMobile indicator
Mobile indicator
Y: Mobile web/app N: PC or other└osTypeA(1)Alphabetic, up to 1 bytesOS type
OS type
A: Android I: IOS W: Windows M: Mac E: Otherdata Object
└pktHashAN(64)Alphanumeric, up to 64 bytes*
SHA-256Hash value generated using SHA256(실시간 생성)Hash value generated using SHA256
NOTE
Hash Generation Combination
trdDt + trdTm + mchtId + mchtTrdNo + "0" + hashKey
└cardNoN(128)Numeric, up to 128 bytes*
AES-256AES-256/ECB/PKCS5Padding + Base64Card number, digits onlyCard number, digits only
└idntNoN(64)Numeric, up to 64 bytes*
AES-256AES-256/ECB/PKCS5Padding + Base646-digit date of birth or 10-digit business registration number6-digit date of birth or 10-digit business registration number
└vldDtMonN(24)Numeric, up to 24 bytes*
AES-256AES-256/ECB/PKCS5Padding + Base64Card expiration date (month), digits onlyCard expiration date (month), digits only
└vldDtYearN(24)Numeric, up to 24 bytes*
AES-256AES-256/ECB/PKCS5Padding + Base64Card expiration date (year), digits onlyCard expiration date (year), digits only
└cardPwdN(24)Numeric, up to 24 bytes*
AES-256AES-256/ECB/PKCS5Padding + Base64First 2 digits of card passwordFirst 2 digits of card password
└mchtCustNmAHN(30)Alphanumeric + Korean, up to 30 bytesCustomer name (Korean characters allowed)
Customer name (Korean characters allowed)
└mchtCustIdAHN(50)Alphanumeric + Korean, up to 50 bytesCustomer ID (Korean characters not allowed)
Customer ID (Korean characters not allowed)
└keyRegYnA(1)Alphabetic, up to 1 bytes*Whether to issue a billkey after authentication
Whether to issue a billkey after authentication
Y: Issue billkey N: Do not issue billkeyResponse Parameters
params Object
└mchtIdAN(12)Alphanumeric, up to 12 bytes*Unique merchant ID assigned by Hecto Financial
nxca_ks_guUnique merchant ID assigned by Hecto Financial
└verAN(4)Alphanumeric, up to 4 bytes*Message version
0A19Message version
*Fixed value
└methodA(2)Alphabetic, up to 2 bytes*Payment method
CAPayment method
*Fixed value
└bizTypeAN(2)Alphanumeric, up to 2 bytes*Business type code
A4Business type code
*Fixed value for billkey issuance
└encCdN(2)Numeric, up to 2 bytes*Encryption type code
23Encryption type code
*Fixed value
└mchtTrdNoAN(100)Alphanumeric, up to 100 bytes*Unique order number generated by the merchant
PG_API20220920131039Unique order number generated by the merchant
└trdNoAN(40)Alphanumeric, up to 40 bytes*Unique transaction number generated by Hecto Financial
STFP_PGCAnxca_ks_gu0220921093117M1260999Unique transaction number generated by Hecto Financial
└trdDtN(8)Numeric, up to 8 bytes*Transaction date (YYYYMMDD)
20220921Transaction date (YYYYMMDD)
└trdTmN(6)Numeric, up to 6 bytes*Transaction time (HHMMSS)
093117Transaction time (HHMMSS)
└outStatCdN(4)Numeric, up to 4 bytes*Transaction status code (successful transaction: status=0021 + result code=0000)
0021Transaction status code (successful transaction: status=0021 + result code=0000)
0021: Success 0031: Failure└outRsltCdN(4)Numeric, up to 4 bytes*Result code. 0000 for success, decline code otherwise
0000Result code. 0000 for success, decline code otherwise
└outRsltMsgAHN(200)Alphanumeric + Korean, up to 200 bytes*Result message
Processed successfully.Result message
data Object
└pktHashAN(64)Alphanumeric, up to 64 bytes*Hash value from request returned as-is
Hash value from request returned as-is
└cardNoN(128)Numeric, up to 128 bytesCard number (masked)
522112******1621Card number (masked)
└issrIdA(64)Alphabetic, up to 64 bytesCard issuer identifier
HDCCard issuer identifier
└cardNmAH(20)Alpha + Korean, up to 20 bytesCard company name
HyundaiCard company name
└cardKindAN(50)Alphanumeric, up to 50 bytesCard type
Hyundai MasterCard PersonalCard type
└billKeyAN(40)Alphanumeric, up to 40 bytesBillkey returned when issuance request is Y. Used for subsequent charges.
SBILL_PGCAnxca_ks_gu20222609990921093117Billkey returned when issuance request is Y. Used for subsequent charges.
*Store this billkey and use it in the billkey payment API.
Need technical support?
Code Samples
HectoFinancial GitHub